package com.yd.rmi.tencent.wechat.vo;

import java.util.List;

public class PaymentForm {
	private String action;//请求地址
	private String actionType;//请求类型 get\post
	private String charset;//编码格式 GBK\UTF-8
	private List<ParamItem> param;//参数列表
	private String errorMessage;//错误信息

	/**
	 * 获取属性 action 请求地址
	 * @return action
	 */
	public String getAction(){
		return this.action;
	}

	/**
	 * 属性赋值 action 请求地址
	 * @param action
	 */
	public void setAction(String action){
		this.action = action;
	}

	/**
	 * 获取属性 actionType 请求类型 get\post
	 * @return actionType
	 */
	public String getActionType(){
		return this.actionType;
	}

	/**
	 * 属性赋值 actionType 请求类型 get\post
	 * @param actionType
	 */
	public void setActionType(String actionType){
		this.actionType = actionType;
	}

	/**
	 * 获取属性 charset 编码格式 GBK\UTF-8
	 * @return charset
	 */
	public String getCharset(){
		return this.charset;
	}

	/**
	 * 属性赋值 charset 编码格式 GBK\UTF-8
	 * @param charset
	 */
	public void setCharset(String charset){
		this.charset = charset;
	}

	/**
	 * 获取属性 param 参数列表
	 * @return param
	 */
	public List<ParamItem> getParam(){
		return this.param;
	}

	/**
	 * 属性赋值 param 参数列表
	 * @param param
	 */
	public void setParam(List<ParamItem> param){
		this.param = param;
	}

	/**
	 * 获取属性    errorMessage  错误消息
	 * @return the errorMessage
	 */
	public String getErrorMessage() {
		return errorMessage;
	}

	/**
	 * 属性赋值  errorMessage 错误消息
	 * @param errorMessage
	 */
	public void setErrorMessage(String errorMessage) {
		this.errorMessage = errorMessage;
	}
	
}
